Subject: Re: [PATCH 1/4][MAC80211]: Fix GFP_KERNEL allocation under read lock.

From: Pavel Emelyanov <[email-masked]>
Date: Wed, 07 May 2008 09:54:53 +0400

David Miller wrote:
> From: Pavel Emelyanov <[email-masked]>
> Date: Tue, 06 May 2008 21:46:38 +0400
> 
>> I do not quite like doing so. Since this relies on fact that kfree bears
>> NULL pointers. But if we ever switch from kmalloc to kmem_cache_alloc,
>> this will result in an oops.
> 
> The whole reason we made kfree allow NULL points is so that
> checks for it would be ommitted at kfree calls sides, whether
> they be direct or indirect.

Hm... I really thought that this check in kfree is just for sanity 
against some 3rd part code. But why kmem_cache_free() is not such then?

> Adding the check for some theoretical-or-not future change is
> rediculious.

Well, this makes sense. Shall I resubmit the set?

Thanks,
Pavel